Bug 303851 - ip6tables startup complains "never matched protocol: 51"
ip6tables startup complains "never matched protocol: 51"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 15:10 EDT by Michal Jaegermann
Modified: 2008-02-14 11:55 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.7.0-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 22:41:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-09-24 15:10:14 EDT
Description of problem:

When starting ip6tables with a default /etc/sysconfig/ip6tables
then the following shows up:

Applying ip6tables firewall rules: ip6_tables: (C) 2000-2006 Netfilter Core Team
Warning: never matched protocol: 51. use extension match instead.

The following line is obviously a problem:

-A RH-Firewall-1-INPUT -p 51 -j ACCEPT

although it is happily accepted by iptables.

Actually I do not recall seeing that earlier and now that message
shows up in F7, FC6 and rawhide. Kernel changes?

Version-Release number of selected component (if applicable):
iptables-ipv6-1.3.8-2.fc7

How reproducible:
always on a startup
Comment 1 Thomas Woerner 2007-09-26 11:44:01 EDT
Assigning to system-config-securitylevel.
Comment 2 Fedora Update System 2007-11-09 18:58:46 EST
system-config-securitylevel-1.7.0-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-securitylevel'
Comment 3 Dennis DeDonatis 2007-11-10 16:27:48 EST
The same thing happens in Fedora 8.
Comment 4 Fedora Update System 2007-11-14 22:41:18 EST
system-config-securitylevel-1.7.0-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Matt Thompson 2008-02-14 08:07:53 EST
I am getting this error on my Fedora 8 startup (so I'm not sure if it's captured
by a log).  As in the original report, there is a port 51 line in
/etc/sysconfig/ip6tables that is probably causing it.  Also:

> rpm -q system-config-firewall
system-config-firewall-1.0.12-4.fc8.noarch

Since this is now in a different component and F level, should I open a new bug?
Comment 6 Thomas Woerner 2008-02-14 08:11:36 EST
Please use "lokkit -q" to update your firewall configuration and the problem
should be gone.
Comment 7 Matt Thompson 2008-02-14 11:55:18 EST
(In reply to comment #6)
> Please use "lokkit -q" to update your firewall configuration and the problem
> should be gone.

So it did.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.